# vue-cli-plugin-logwire-backend

为自动化部署、启动后端服务开发的前端插件，在对应项目中安装此插件，然后可以在 vue-cli ui 界面中执行操作

## 思路
### jenkins 自动化部署 java
通过jenkins 自动打包对应分支的 java 文件，然后会将文件放置到服务器的 /u01/grea/dev-test-logwire-backend/ 下，等同于打包后的 build-outputs 文件夹内容，此时并不会执行，只是迁移文件

### 获取配置信息
从私自部署的 node 服务中获取打包后的后端的两个配置文件的信息，在前端通过编辑器打开, 页面设计与 Vue Cli 的任务页面相同

### 保存配置信息
修改后点击保存，会将配置信息保存在 `开发项目的根目录` 下，命名为 .logwire，同时通过 `vue-cli` 的修改文件的功能，修改 `.gitignore` ，为刚才两个配置文件增加git配置，避免每次上传时提交，同时防止切换分支后配置文件丢失

### 启动后端服务
向 node 程序发送请求，node会判断是否有打开的java服务，先关闭再启动新的，使用 websocket 将 java 运行信息返回到前端显示（短期可能不做），后端的运行日志可以在 node 服务根目录 `/var/local/logwire-frontend-v2-test` 下的 log_backend.log, log_gateway.log 查看
